# Gimp.ValueArray.prototype.index

    function index(index: Number(gint)): Any {
        // Gjs wrapper for gimp_value_array_index()
    }

Return a pointer to the value at index contained in value_array.

*Note*: in binding languages, some custom types fail to be correctly passed through. For these types, you should use specific functions. For instance, in the Python binding, a [type@ColorArray] `GValue` won't be usable with this function. You should use instead [method@ValueArray.get_color_array].

Since 2.10

index

  index of the value of interest

Returns

  pointer to a value at index in value_array